<template>
  <el-dialog  append-to-body :visible.sync="isShow" :before-close="resetCancel">
    <el-form :model="form">
      <el-form-item label="物品名称" :label-width="formLabelWidth">
        <el-input v-model="form.exhibitName" autocomplete="off"></el-input>
      </el-form-item>
      <el-form-item label="品牌" :label-width="formLabelWidth">
        <el-input v-model="form.brand" autocomplete="off"></el-input>
      </el-form-item>
      <el-form-item label="产地" :label-width="formLabelWidth">
        <el-input v-model="form.origin" autocomplete="off"></el-input>
      </el-form-item>
      <el-form-item label="规格型号" :label-width="formLabelWidth">
        <el-input v-model="form.exhibitSize" autocomplete="off"></el-input>
      </el-form-item>
      <el-form-item label="生产日期" :label-width="formLabelWidth">
        <el-date-picker
                v-model="form.productionDate"
                type="date"
                :value-format="`yyyy-MM-dd`"
                placeholder="选择日期">
        </el-date-picker>
      </el-form-item>
      <el-form-item label="数量" :label-width="formLabelWidth">
        <el-input v-model="form.exhibitNum" autocomplete="off"></el-input>
      </el-form-item>
      <el-form-item label="形态及备注" :label-width="formLabelWidth">
        <el-input v-model="form.remarks" autocomplete="off"></el-input>
      </el-form-item>
    </el-form>
    <div slot="footer" class="dialog-footer">
      <el-button @click="resetCancel(0)">取 消</el-button>
      <el-button type="primary" @click="cancell(1)">确 定</el-button>
    </div>
  </el-dialog>
</template>

<script>
export default {
  name: "evidence-form",
  props:['isShow'],
  data() {
    return {
      form: {
        exhibitName: '',
        brand: '',
        origin: '',
        exhibitSize: '',
        productionDate: '',
        exhibitNum: '',
        remarks: '',
      },
      formLabelWidth: '120px'
    };
  },
  methods:{
    reset(){
      this.form = {
        exhibitName: '',
        brand: '',
        origin: '',
        exhibitSize: '',
        productionDate: '',
        exhibitNum: '',
        remarks: '',
      }
    },
    resetCancel(){
      this.$emit('cancell',false);
      this.reset();
    },
    cancell(){
        this.$emit('cancell',false,this.form);
        this.reset();
    }
  },
}
</script>

<style scoped>

</style>
